Name:           lv2-invada-plugins
Version:        1.2.0
Release:        13%{?dist}
Summary:        A collection of LV2 plugins from Invada Records

Group:          Applications/Multimedia
# The file plugingui/lv2_ui.h is LGPLv2+.  The rest are GPLv2+.
License:        GPLv2+ and LGPLv2+
URL:            http://www.invadarecords.com/Downloads.php?ID=00000264
# This package is not hosted on upstream's site, but it is the tarball that
# they recommend for packagers to use.  The tarball that is hosted on the
# invadarecords.com site has Debian packaging info in it, so they point to this
# one, which does not include that.
Source0:        http://launchpad.net/invada-studio/lv2/1.2/+download/invada-studio-plugins-lv2_%{version}-nopkg.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  lv2-devel
BuildRequires:  gtk2-devel
Requires:       lv2

%description
A collection of LV2 plugins including delay, tube distortion, compressor,
LPF, HPF, phaser, reverb, and utilities, all featuring GUIs.

%prep
%setup -q -n invada-studio-plugins-lv2-%{version}

# Mmake sure to have the correct Fedora specific flags and stop suppression of compilation and linking commands
find . -name Makefile -exec sed -i 's|-O3|%{optflags}|; s|@$(CC)|$(CC)|; s|@$(LD)|$(LD)|; s|@ar\b|ar|' {} \;


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install-sys DESTDIR="$RPM_BUILD_ROOT" INSTALL_SYS_PLUGINS_DIR="%{_libdir}/lv2"


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING CREDITS README
%{_libdir}/lv2/*



%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 22 2012 Brendan Jones <brendan.jones.it@gmail.com> - 1.2.0-7
- Rebuild against new lv2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.2.0-5
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Apr 28 2010 David Cornette <rpm@davidcornette.com> 1.2.0-3
-- Use find to apply sed command to all Makefiles instead of listing each one
   explicitly to make sure each file is correctly adjusted

* Wed Apr 28 2010 David Cornette <rpm@davidcornette.com> 1.2.0-2
-- Added README to doc
-- Changed license to reflect license in plugingui/lv2_ui.h
-- Use sed to make building verbose

* Thu Apr 22 2010 David Cornette <rpm@davidcornette.com> 1.2.0-1
- Initial build

